import { createApp } from 'vue';

import globalComponents from '@/components/global';
import App from './App.vue';
import router from './router';
import store from './store';
import directives from './directives';
import { capsule } from '@/utils/tool';

import 'tdesign-vue-next/es/style/index.css';
// import 'tdesign-vue-next/dist/reset.css';
import './style/index.less';
import './style/global.less';
import 'uno.css';

import packageJson from '../package.json';
import './mock/index';

const app = createApp(App);

app.use(router).use(store).use(directives).use(globalComponents);

app.config.globalProperties.$title = import.meta.env.VITE_APP_TITLE;

app.mount('#app');

capsule('质控平台', `v${packageJson.version} release`);
